# Class PlotDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
uk.ac.starlink.ttools.plottask.PlotDataException

All Implemented Interfaces:
  `Serializable`

public class PlotDataException extends RuntimeException
Exception used for exporting errors from the plot system. This exception is unchecked, but can be used to contain a checked exception, especially an IOException. It is required in this package because the plotting classes do not declare checked exceptions, but the table data access classes declare IOExceptions. Code which invokes the `paint` methods of the plotting components should therefore check for such exceptions being thrown even though the compiler does not enforce this.

Since:
  22 Apr 2008
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PlotDataException(IOException e)`
Constructor based on an IOException.
`PlotDataException(String msg, Throwable e)`
Constructor based on an arbitrary throwable.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlotDataException

public PlotDataException(IOException e)
Constructor based on an IOException.

Parameters:
  `e` - cause

### PlotDataException

public PlotDataException(String msg, Throwable e)
Constructor based on an arbitrary throwable.

Parameters:
  `msg` - message
  `e` - cause